Subject: [Mip6] Review of draft-ietf-mip6-location-privacy-ps-00.txt

From: Jari Arkko <[email-masked]>
Date: Tue, 25 Oct 2005 16:06:51 +0300

Hi Rajeev,

Thanks for writing a draft on this important issue.
Here are some initial comments:

>   This problem is
>   particularly applicable to Mobile IP where the Home Address on a
>   visited network can reveal device roaming and, together with a
>   user identifier (such as an NAI), can reveal user roaming.  When
>   roaming is revealed, it could lead to more targetted profiling.  Even
>
The part about user identifier comes somewhat out of the
blue here. Are we talking about user identifier and NAI
usage in general? This goes much, much beyond Mobile IPv6.
Or are we talking about Mobile IPv6 use of NAIs? We'd have
to look at the different usage types. One is within IKEv2/EAP
and one is in the auth protocol. They have very different
implications. Also, NAI usage in network access (and also
in IKEv2) has typically a capability for pseudonym usage.

>   Even
>   when the binding between user identifier and the Home Address is
>   unavailable, freely available tools on the Internet can map the Home
>   Address to the owner of the Home Prefix, which can reveal that a user
>   from a particular ISP has roamed. 
>
There seems to be two different problems, one is being
able to see that someone (identified by a home address)
is moving with a specific pattern. The other problem is
identifying that this someone is John Smith or that he is
a customer of Joe's Broadband.

>In addition, a user may not wish to reveal roaming to correspondent(s).
>
It may be worthile to add some discussion about the
different participants. Presumably we can't avoid revealing
information to our home network (or can we?), but most
definately want to avoid revealing information to outsiders,
and probably also in many cases to correspondent nodes.
There may also be different types of outsiders. Complete
strangers (e.g. open 802.11) vs. local access network owners.

(Some discussion of this appears later in the document,
but I'm not sure it provides a full discussion.)

>   2.1. Disclosing the Care of Address
>
The fact that you do not need to reveal care-of address
to correspondent nodes in Mobile IPv6 could perhaps be
mentioned already here.

>The assumption here is that the
>   correspondent somehow knows the Home Address of the MN. For instance,
>   a correspondent may obtain it from DNS, which may contain the Home
>   Address or the IP address of an agent to which the user identifier
>  
>
Hmm... in Mobile IPv6 the home address is always known
to the correspondent. Can you clarify what you mean here?

>When equipped with an ability to inspect
>   packets ``on the wire'', an on-looker can determine that the MN has
>   roamed and could possibly also determine that the user has roamed.
>
I'm not sure I understand teh MN-user distinction.

--Jari

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6